<?php

include ("../conexion.php"); 
		
	   if (!isset($_GET["cdgcli"])) { $cdgcli=""; } else  { $cdgcli=$_GET["cdgcli"]; }	
	   if (!isset($_GET["dsccli"])) { $dsccli=""; } else  { $dsccli=$_GET["dsccli"]; }		 

		 
       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	   $intmor =  $row_para["INTMOR"];
	


$hoy=date("d/m/Y");
$hora=date("H:i:s");
?>
<html>
	<head>
		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
        <script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
        
		<style type="text/css">
		.Estilo1 {color: #0000CC}
        </style>
		<script type="text/javascript" src="../funciones/validar.js"></script>

  
		<script language="javascript">

		  		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
			function cancelar() {
			location.href="index.php";
		}
		
				function aceptar() {
		
						
				var mensaje="";
				if (document.getElementById("cdgcli").value=="") mensaje+=" Codigo del Cliente\n";
				//if (document.getElementById("combo_placa").value=="") mensaje+=" Placa\n";
				if (document.getElementById("fechainicio").value=="") mensaje+=" Fecha Inicial\n";
				if (document.getElementById("fechafin").value=="") mensaje+=" Fecha Final\n";
				
								
				if (mensaje!="") {
					alert("Atencion, Los Siguientes campos son obligatorios:\n\n"+mensaje);
				} else {
				
					cdgcli = document.getElementById("cdgcli").value; 
				    fechainicio = document.getElementById("fechainicio").value; 
					fechafin = document.getElementById("fechafin").value; 
					combotipoplaca = document.getElementById("combo_placa").value; 
				
				
					    window.open("imprimir_historico_taller_cliente.php?cdgcli="+cdgcli+"&fechainicio="+fechainicio+"&fechafin="+fechafin+"&combotipoplaca="+combotipoplaca);			

	
		}		}	
			
		


				
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "formulario"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.focus()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
		function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}















		  function inicio(){
			  
			  
	
	}
	
	 function validarfactura()  {
			validarcliente()
				}
				
				
	
		function buscar(){
			miPopup = window.open("ver_clientesPlacas.php","miwin","width=700,height=650,scrollbars=yes");
			document.getElementById("fechainicio").select();
	
		}
		
			function validarcliente(){
			var codigo=document.getElementById("cdgcli").value;
		    document.getElementById("fechainicio").focus();
			miPopup = window.open("comprobarClientePlacas.php?cdgcli="+codigo,"frame_datos1","width=900,height=90,scrollbars=yes");
			document.getElementById("fechainicio").select();
		
			
		}



 function comprobar_fechas(){

/////////////////////////////////////////////  invierte la fecha a xxxx-xx-xx ////////////////////////////////	  
		  
	  var parts = document.getElementById("fechainicio").value.split(/-/);
		parts.reverse();
		fechainicio=parts.join('-');
		
	  var parts = document.getElementById("fechafin").value.split(/-/);
		parts.reverse();
		fechafin=parts.join('-');
		
////////////////////////////////////////////// verifique que la fecha sea correcta ///////////////////////////	

//////////////////////////////////////  convierte la fecha a formato date para ser comparado /////////////////////////	

	 date1 = new Date(fechainicio);
	 date2 = new Date(fechafin); 
		 
	var f1 = new Date();
	var f2 = new Date(date1); //31 de diciembre de 2015
	var f3 = new Date(date2);
	f1.setHours(0,0,0,0);
	f2.setHours(0,0,0,0);
	f3.setHours(0,0,0,0);

////////////////////////////////////////// compara las fechas ///////////////////////////////////////////////////////
	
	if (fechainicio !=""){
		
		
		 var fechaArr = fechainicio.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
		
	if (f2.getTime() > f1.getTime()){
	 alert("la Fecha Inicial no puede ser mayor a la Actual ");
	document.getElementById("fechainicio").value="";
	document.getElementById("fechainicio").select();
	}

 }else{
  alert("Error fecha Inicial incorrecta favor verifique");
  document.getElementById("fechainicio").value="";
  document.getElementById("fechainicio").select();
 }
 
	}
	
	
	
	if (fechafin !=""){	
	
	 
  var fechaArr = fechafin.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
 	
	
	if (f3.getTime() > f1.getTime()){
	 alert("la Fecha Final no puede ser mayor a la Actual ");
	document.getElementById("fechafin").value="";
	document.getElementById("fechafin").select();;
	}
 
 
 }else{
  alert("Error fecha Final incorrecta favor verifique");
  document.getElementById("fechafin").value="";
  document.getElementById("fechafin").select();
 }
	

	}
	
	
	if (f2.getTime() > f3.getTime()){
	 alert("La Fecha Inicial no puede ser mayor a la Fecha Final ");
	document.getElementById("fechafin").value="";
	document.getElementById("fechainicio").value="";
	document.getElementById("fechainicio").select();
	
	}

	}
	
	
	
jQuery(function($){	
		$("#fechainicio").mask("99-99-9999");
		$("#fechafin").mask("99-99-9999");
		});


	
	function lista_placas(){
        //#combo_ruta  : el id del combo de la ruta

       var cdgcli = $("#cdgcli").val();



       var value = {
        cdgcli: cdgcli
		
      };
	

         $(document).ready(function() {
          $.ajax({
          beforeSend: function(){

           },
          url: 'pone_placas_reporte.php',
          type: 'POST',
          data: value,
          success: function(data){
			
				 if(data==0){
					 alert('No existen Placas  para este Cliente');
					 
		//document.getElementById("variedad").value="";
		//document.getElementById("msnm").value="";
		
		

		
	
					 $("#combo_placa").html('');
			  
	  
					}
				else{
					$("#combo_placa").html(data);
			setInterval(function() {		
			//cargar_precios() ;
			},500);
					//	 
					
					}
          
           },
           error: function(jqXHR,estado,error){
			   alert(estado,error);


           }
           });
          });
         } 	
		
		</script>
	</head>
	<body  onLoad="inicio()" >
		<div id="">
			<div id="zonaContenido">
				<div align="center">
				  <p>&nbsp;</p><div id="tituloForm" class="header">Historico de Cliente</div>
				  
				
				<p>&nbsp;	</p>
				<form id="formulario" name="formulario" method="post" action="imprimir_historico_de_cliente.php">
				<div id="formulario" class="contenido1">
					<table class="fuente8" width="98%" cellspacing=0 cellpadding=3 border=0>
						<tr>
						  <td>&nbsp;</td>
						  <td colspan="2">&nbsp;</td>
						  <td colspan="3">&nbsp;</td>
						  <td width="26%" rowspan="8"><img src="../img/estado_cuenta.png" width="241" height="222"   border="0"  />					     </td>
					  </tr>
						<tr>
						  <td>Codigo</td>
						  <td colspan="2"><span class="Estilo1">
                          <input id="cdgcli"  autocomplete="off" style='text-align:center;'   onChange="validarcliente()" onFocus=" siguienteCampo ='dsccli';"   class="fuente_estados" name="cdgcli" autofocus   value="<?php echo $cdgcli ?>" type="text" >
                          </span></td>
						  <td width="4%">&nbsp;</td>
						  <td width="1%">&nbsp;</td>
						  <td width="22%"><img src="../img/Search_Male_User_Icon_32.png" alt="Buscar" width="32" height="32" title="Buscar cliente" onClick="buscar()" onMouseOver="style.cursor=cursor"></td>
				      </tr>
						<tr>
						  <td>Nombre</td>
						  <td colspan="5"><span class="Estilo1">
						    <input id="dsccli"  readonly style='text-align:left;'    class="fuente_estados" name="dsccli"   value="<?php echo $dsccli?>" type="text" >
						  </span></td>
					  </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>Fecha Inicial</td>
						  <td width="16%">&nbsp;</td>
						  <td colspan="3">Fecha Final </td>
			        
                        </tr>
						<tr>
						  <td width="6%">&nbsp;</td>
							<td><input id="fechainicio" type="text" class="fuente_estados" name="fechainicio" maxlength="10"  onFocus="siguienteCampo ='fechafin';"  style='text-align:center;' onChange="comprobar_fechas()" value="<?php echo $fechainicio?>" ></td>
							<td>&nbsp;</td>
						    <td colspan="3"><input id="fechafin" type="text" class="fuente_estados" name="fechafin" maxlength="10"  onFocus="siguienteCampo ='fechainicio';"  style='text-align:center;' onChange="comprobar_fechas()" value="<?php echo $fechafin?>" ></td>
			            </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td colspan="2">Placa</td>
						  <td colspan="3">&nbsp;</td>
					  </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td colspan="2">
                          <select    title="PLACA" class='fuente_estados'   id='combo_placa' name='combo_placa'
		  onChange=''  
		   autocomplete='off' required>
           <option value="">TODAS</option>
                        </select>
                          
                          
                        </td>
						  <td colspan="3">&nbsp;</td>
					  </tr>
						<tr>
						  <td width="6%">&nbsp;</td>
							<td colspan="2">&nbsp;</td>
						    <td colspan="3">&nbsp;</td>
			            </tr>							
					</table>
                    <iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
					</iframe>
			      <img src="../img/Symbol-Check_48x48-32.png"  onClick="aceptar()" border="0" onMouseOver="style.cursor=cursor" title="Realizar Respaldo">
                  <img src="../img/Symbol-Delete_48x48-32.png" width="48" height="48" onClick="cancelar()" border="0" onMouseOver="style.cursor=cursor" title="Cancelar"></div>
			  <div id="botonBusqueda">
			  <input type="hidden" name="id" id="id" value="">
				</form>
			
		  </div>
		</div>
	</body>
</html>
